public class Pawn extends Piece{
  private boolean firstMove;
  public Pawn(char x, int y, boolean color, String name){
    super(x, y, color, name);
    this.firstMove = true;
  }

  public void setFirstMove(boolean flag){
    this.firstMove = flag;
  }

  public boolean getFirstMove(){
    return this.firstMove;
  }

  public boolean canMove(char x, int y){ // Ignore the presence of other pieces
    if( this.x - x == 0 ){

      if( Math.abs(this.y - y) == 1 || (this.firstMove && Math.abs(this.y - y) == 2) ){

        if( (this.color && y - this.y > 0) || (!this.color && this.y - y > 0) ){ // Moving Backward

          if( this.firstMove ){

            this.firstMove = false;
          }
          return true;
        }else{
          return false;
        }
      }else{
        return false;
      }
    }
    return false;
  }
}
